FreeMat

- Main Page
- Related Pages

vtkXMLPImageDataReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLPImageDataReader reads the PVTK XML ImageData file format. This reads the parallel format's summary file and then uses vtkXMLImageDataReader to read data from the individual ImageData piece files. Streaming is supported. The standard extension for this reader's file format is "pvti".

To create an instance of class vtkXMLPImageDataReader, simply invoke its constructor as follows

      obj = vtkXMLPImageDataReader

# Methods

The class vtkXMLPImageDataReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPImageDataReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPImageDataReader = obj.NewInstance ()`
- `vtkXMLPImageDataReader = obj.SafeDownCast (vtkObject o)`
- `vtkImageData = obj.GetOutput ()` - Get the reader's output.
- `vtkImageData = obj.GetOutput (int idx)` - Get the reader's output.
- `obj.CopyOutputInformation (vtkInformation outInfo, int port)`